<?php

include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';


$set['title']='Баллы криминала'; // заголовок страницы
error_reporting (0);
include_once '../sys/inc/thead.php';
title();
err();
aut();
//header("Content-type: application/vnd.wap.xhtml+xml");
header("Content-type: text/html");
echo "<center><div class='bdeg1'><img src='160_fightclub.jpg' /></div></center><link rel='stylesheet' href='style.css' type='text/css' /><dl class='mai2n'>";
$gconf=mysql_fetch_array(mysql_query("SELECT * FROM `gorod_conf`"));

if(isset($user)){
if($gconf[0]['open']!=1){

$action=htmlspecialchars(trim($_GET['action']));


switch ($action){


default:
echo'Привет, '.$user['nick'].'!<br/>';
echo '<FONT COLOR="#66FF00">Здесь можно повысить криминал!!</FONT>';
echo'<br/> У вас <FONT COLOR="#FF0000">'.$user['gorod_money'].'</FONT> зелени<br/>';
echo'Ваш криминал:<FONT COLOR="#FF0000"> '.$user['gorod_kriminal'].'</FONT><br/>';

if($user['gorod_money']<5000){
echo 'У тебя не хватит денег даже на один балл =) <br/>';
}else{
echo 'Выбери нужное число баллов для покупки!<br/>';

if($user['gorod_kriminal_time']>time()){
function maketime($string) {
if($string < 3600){
$string = sprintf("%02d:%02d", (int)($string / 60) % 60, $string % 60);
}else{
$string = sprintf("%02d:%02d:%02d", (int)($string / 3600) % 24, (int)($string / 60) % 60, $string % 60);
};
return $string;
};
echo '<br/><font color="red">Следующая покупка через '.maketime($user['gorod_kriminal_time']-time()).'</font>';
}else{
echo '<br/>&#187; <a href="obmen.php?action=buy&amp;i=1">10 за (5000)</a><br/>';
echo '&#187; <a href="obmen.php?action=buy&amp;i=2">20 за (10000)</a><br/>';
echo '&#187; <a href="obmen.php?action=buy&amp;i=3">30 за (15000)</a><br/>';
echo '&#187; <a href="obmen.php?action=buy&amp;i=4">40 за (20000)</a><br/>';
echo '&#187; <a href="obmen.php?action=buy&amp;i=5">50 за (25000)</a><br/>';
echo '&#187; <a href="obmen.php?action=buy&amp;i=6">60 за (30000)</a><br/>';
echo '&#187; <a href="obmen.php?action=buy&amp;i=7">70 за (35000)</a><br/>';
echo '&#187; <a href="obmen.php?action=buy&amp;i=8">80 за (40000)</a><br/>';
echo '&#187; <a href="obmen.php?action=buy&amp;i=9">90 за (45000)</a><br/>';
echo '&#187; <a href="obmen.php?action=buy&amp;i=10">100 за (50000)</a><br/><br/>';
}
}
break;


case 'buy':
$i=(int)$_GET['i'];
if(!$i){echo 'Пустые параметры!';break;};
if($i==1){$bal=10;$price=5000;}
elseif($i==2){$bal=20;$price=10000;}
elseif($i==3){$bal=30;$price=15000;}
elseif($i==4){$bal=40;$price=20000;}
elseif($i==5){$bal=50;$price=25000;}
elseif($i==6){$bal=60;$price=30000;}
elseif($i==7){$bal=70;$price=35000;}
elseif($i==8){$bal=80;$price=40000;}
elseif($i==9){$bal=90;$price=45000;}
else{$bal=100;$price=50000;}


if($user['gorod_money']<$price){echo 'У вас недостаточно денег!';break;};
mysql_query("UPDATE `user` SET `gorod_money`=`gorod_money`-'$price',`gorod_kriminal`=`gorod_kriminal`+'$bal',`gorod_kriminal_time`='".(time()+80000)."' WHERE `id`='".$user['id']."'");
echo 'Куплено!<br/>';
echo '<a href="obmen.php">&laquo;Назад</a>';
break;

};
echo '<div class="msg"><a href="index.php">В игру</a></div></div>';
}else{echo '<div class="msg">Закрыто администратором!</div>';};

}else{
echo '<div class="msg">Игра доступна только для авторизованых пользователей!</div>';
};

include_once '../sys/inc/tfoot.php';
?>